Summary:	Mako template library for Python
Name:	 	python-mako
Version:	0.7.2
Release:	%mkrel 2
Group:		Development/Python 
License:	MIT
URL:		http://www.makotemplates.org/
Source0:	http://www.makotemplates.org/downloads/Mako-%{version}.tar.gz
BuildArch:	noarch
Requires:	python-beaker, python-markupsafe
BuildRequires:	python-devel, python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-beaker, python-markupsafe

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n Mako-%{version}

%build
%{__python} setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %{__python} setup.py install --skip-build --root %{buildroot}

%check 
%__python setup.py test


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{python_sitelib}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290065
- New upstream release 0.7.2

* Fri Feb 03 2012 philippem <philippem> 0.6.2-1.mga2
+ Revision: 204253
- Update to 0.6.2.

* Wed Jan 25 2012 philippem <philippem> 0.6.0-1.mga2
+ Revision: 201214
- Update to 0.6.0.

* Mon Oct 24 2011 philippem <philippem> 0.5.0-1.mga2
+ Revision: 157699
- new upstream

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-1.mga1
+ Revision: 77389
- update to 0.4.0

* Mon Feb 21 2011 ahmad <ahmad> 0.3.6-3.mga1
+ Revision: 55173
- rebuild to make all pythonegg requires lowercase

* Sat Feb 05 2011 ahmad <ahmad> 0.3.6-2.mga1
+ Revision: 47054
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-mako

